#include <stdio.h>
#include <conio.h>
#include <stdlib.h>

const int LENG = 5;

void create_mat (int matrix[])
{
	int i;
	for (i = 0; i < LENG; i++)
			matrix[i] = random(40);
}

void print_mat (int matrix[])
{
	int i;
	printf("\n");
	for (i = 0; i < LENG; i++)
			printf("%3d ", matrix[i]);
}

void swap (int &a, int &b)
{
	int temp;
	temp = a;
	a = b;
	b = temp;
}

void sort (int matrix[])
{
	int i, j;
	for (i = 0; i < LENG-1; i++)
		for (j = i+1; j < LENG; j++)
		{
			if (matrix[i] > matrix[j])
				swap (matrix[i], matrix[j]);
				print_mat (matrix);
		}
}

void main()
{
	randomize();
	int a[LENG];
	printf ("\n\rCreating a random array: \n\r");
	create_mat(a);
	print_mat (a);
	printf ("\n\rSorting a random array: \n\r");
	sort (a);
	print_mat (a);
}